
Emitter = newClass("Emitter")
Emitter.MAX_PARTICLES = 100
Emitter.COLOR0 = love.graphics.newColor(255, 255, 255, 255)
Emitter.COLOR1 = love.graphics.newColor(255, 255, 255, 0)

function Emitter:init(x, y, image, duration, rate, speed, durMin, durMax, size, add)
	self.add = add
	self.ps = love.graphics.newParticleSystem(image, self.MAX_PARTICLES)
	self.ps:setLifetime(duration)
	self.ps:setEmissionRate(rate)
	self.ps:setSpread(360.0)
	self.ps:setSpeed(speed)
	self.ps:setParticleLife(durMin, durMax)
	self.ps:setColor(self.COLOR0, self.COLOR1)
	self.ps:setSize(size)
	self.ps:setPosition(x, y)
	self.ps:start()
end

function Emitter:update(dt)
	self.ps:update(dt)
end

function Emitter:draw()
	if (self.add) then 
		love.graphics.setBlendMode(love.blend_additive)
	end
	love.graphics.draw(self.ps, 0, 0)
	love.graphics.setBlendMode(love.blend_normal)
end

function Emitter:isDead()
	return (not self.ps:isActive()) and self.ps:isEmpty()
end
