
love.filesystem.require("library/object.lua")
love.filesystem.require("library/resource.lua")

love.filesystem.require("player.lua")
love.filesystem.require("stage.lua")
love.filesystem.require("collidable.lua")
love.filesystem.require("copter.lua")
love.filesystem.require("weapon.lua")
love.filesystem.require("emitter.lua")
love.filesystem.require("hitText.lua")

DEBUG = false
TIMESTEP = 1 / 100
updateTime = 0

function load()
	love.graphics.setBackgroundColor(198, 198, 128)
	local f = love.graphics.newFont(love.default_font, 16)
	love.graphics.setFont(f)
	love.graphics.setColorMode(love.color_modulate)
	love.audio.setChannels(32) 
	love.audio.setVolume(0.5)
	
	bg = Resource:getImage("data/background.png")
	s = Stage:new()
end

function update(dt)	
	updateTime = updateTime + dt
	while (updateTime >= TIMESTEP) do
		s:update(TIMESTEP)
		updateTime = updateTime - TIMESTEP
	end
end

function draw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(bg, 400, 300)
	s:draw()
end

function keypressed(key)
    if key == love.key_f5 then
		love.system.restart()
    end
end
