
Player = newClass("Player")
Player.KEYS = {
	-- left right up down a
	{love.key_left, love.key_right, love.key_up, love.key_down, love.key_rctrl},
	{love.key_s, love.key_f, love.key_e, love.key_d, love.key_lctrl},
	{love.key_j, love.key_l, love.key_i, love.key_k, love.key_space},
	{love.key_kp1, love.key_kp3, love.key_kp5, love.key_kp2, love.key_kp0},
}

function Player:init(number)
	self.number = number
	self.padIndex = number - 1
	self.keyIndex = number - love.joystick.getNumJoysticks()
	self.usePad = love.joystick.getNumJoysticks() >= number
	self.useKey = self.KEYS[self.keyIndex] ~= nil
end

function Player:getXAxis()
	if (self.usePad) then
		return love.joystick.getAxis(self.padIndex, love.joystick_axis_horizontal) 
	elseif (self.useKey) then
		local result = 0.0
		if (love.keyboard.isDown(self.KEYS[self.keyIndex][1])) then result = result - 1.0 end
		if (love.keyboard.isDown(self.KEYS[self.keyIndex][2])) then result = result + 1.0 end
		return result
	end
	return 0.0
end

function Player:getYAxis()
	if (self.usePad) then
		return love.joystick.getAxis(self.padIndex, love.joystick_axis_vertical) 
	elseif (self.useKey) then
		local result = 0.0
		if (love.keyboard.isDown(self.KEYS[self.keyIndex][3])) then result = result - 1.0 end
		if (love.keyboard.isDown(self.KEYS[self.keyIndex][4])) then result = result + 1.0 end
		return result
	end
	return 0.0
end

function Player:isADown()
	if (self.usePad) then
		return love.joystick.isDown(self.padIndex, 0)
	elseif (self.useKey) then
		return love.keyboard.isDown(self.KEYS[self.keyIndex][5])
	end
	return false
end
